SDL_GetClipboardData(3)

NAME
SDL_GetClipboardData - Get the data from the clipboard for a given mime type.

SYNOPSIS
#include <SDL3/SDL_clipboard.h>

void * SDL_GetClipboardData(const char *mime_type, size_t *size);

DESCRIPTION
The size of text data does not include the terminator, but the text is guaranteed to be null-terminated.

FUNCTION PARAMETERS

mime_type
    the mime type to read from the clipboard.

size
    a pointer filled in with the length of the returned data.

RETURN VALUE
Returns the retrieved data buffer or NULL on failure; call SDL_GetError() for more information. This should be freed with SDL_free() when it is no longer needed.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_HasClipboardData(3), SDL_SetClipboardData(3)